List Ledger Accounts

List Ledger Accounts

DEPRECATED BEHAVIOR: By default, returns ledger accounts ordered by ascending IDs

NEW BEHAVIOR: By default, returns ledger accounts ordered by descending IDs The old ledger scope will only work on the old behavior system. As soon as you opt in to the new version, or when the sunset phase starts and you haven't explicitly opted out of the old behavior, the ledger scope will no longer work. For more details, see our API documentation https://pennylane.readme.io/docs/2026-api-changes-guide for migration instructions.

This endpoint requires one of the following scopes: ledger (DEPRECATED), ledger_accounts:readonly, ledger_accounts:all

Query Params
boolean
Defaults to true

If you are already using the X-Use-2026-API-Changes header, you can ignore this parameter.

The Pennylane API is introducing important changes, which will be rolled out in three phases: preview, sunset and cleanup.

For new user, please use this parameter with true value to opt in directly to the new version of the API.

Preview phase: From January 14th to April 7th 2026. Opt in by setting this attribute to true to test and migrate to the new behavior.

Sunset phase: From April 8th to June 30th 2026. The new behavior becomes the default. Set this attribute to false if you need additional time to migrate.

Cleanup phase: Starting July 1st 2026 The old behavior will no longer be available. You must have migrated by this point.

For more details, see our API documentation https://pennylane.readme.io/docs/2026-api-changes-guide for migration instructions.

integer
deprecated

This pagination system is DEPRECATED. For more details, see our API documentation https://pennylane.readme.io/docs/2026-api-changes-guide for migration instructions. Items are paginated, this is the current page which will be returned. The page index is starting at 1.

integer
1 to 1000
deprecated

This pagination system is DEPRECATED. For more details, see our API documentation https://pennylane.readme.io/docs/2026-api-changes-guide for migration instructions. Items are paginated. By default, you get 20 items per page. You can specify another number of items per page.

string

This pagination system is only available in the new version of the API. For more details, see our API documentation https://pennylane.readme.io/docs/2026-api-changes-guide for migration instructions. Use this to fetch the next set of results. The cursor is an opaque string returned in the previous response's metadata. Leave empty for the first request.

integer
1 to 1000

This pagination system is only available in the new version of the API. For more details, see our API documentation https://pennylane.readme.io/docs/2026-api-changes-guide for migration instructions. Number of items to return per request. Defaults to 20 if not specified. Must be between 1 and 1000.

string

You can choose to filter items on specific fields. Available fields and values:

  • id: lt, lteq, gt, gteq, eq, not_eq, in, not_in
  • number: start_with, eq, in
  • enabled: eq
string

You can choose to sort items on specific attributes Sort field may be prefixed with - for descending order. Example : id will sort by ascending order, -id will sort by descending order. Available fields :

  • id
Responses

Language
Credentials
OAuth2
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json